Subject: Postponed messages

From: Sean Farley <[email-masked]>
Date: Wed, 28 Oct 1998 18:55:25 -0500 (EST)

I am running my own domain (farley.org) and use Exim as the MTA.  One of
Exim's features is allowing suffixes to a user name.  For example, I can
change my e-mail address to [email-masked].  In this case Exim would
parse the .forward file for directions on what to do with the e-mail.

I was writing an e-mail but since I needed to go do something else, I
postponed it.  After attempting to send it out when I got back, I was
greeted with an error 550 sent back from Exim.

Before sending the mail out I had changed the From: header to
[email-masked] using the example.  I have succeeded at
changing the From: header before with out problems from Exim, so I was
quite confused.

After some testing, I discovered that Pine was changing the Reply-to:
header on me if I postponed the message.  If I do not postpone, it does
not change the Reply-to:.  I am assuming this is a bug.  Am I correct in
assuming that it should never change the Reply-to: if I change the From:?
At least I hope this is the case since it would work better through Exim.
Hint. Hint. :)  For those who are surprised by Exim doing this, I have
sender_verify set to true which would cause the 550 to be sent back to
Pine.

Sean
--------------
[email-masked]

-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------